---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "forgejo_repositories Data Source - terraform-provider-forgejo"
subcategory: ""
description: |-
  Use this data source to retrieve information about existing forgejo repositories.
---

# forgejo_repositories (Data Source)

Use this data source to retrieve information about existing forgejo repositories.

## Example Usage

```terraform
data "forgejo_repositories" "example" {}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Read-Only

- `elements` (Attributes List) The list of repositories. (see [below for nested schema](#nestedatt--elements))

<a id="nestedatt--elements"></a>
### Nested Schema for `elements`

Read-Only:

- `allow_fast_forward_only_merge` (Boolean) Whether fast forward only merges are allowed or not.
- `allow_merge_commits` (Boolean) Whether merge commits are allowed or not.
- `allow_rebase` (Boolean) Whether updating a pull request branch by rebase is allowed or not.
- `allow_rebase_explicit` (Boolean) Whether rebase then merge commits are allowed or not.
- `allow_rebase_update` (Boolean) Whether rebase then fast forward merges are allowed or not.
- `allow_squash_merge` (Boolean) Whether squash merge commits are allowed on this repository or not.
- `archived` (Boolean) Whether the repository is archived or not.
- `archived_at` (String) The datetime at which the repository was archived.
- `avatar_url` (String) The URL of the avatar for the repository.
- `clone_url` (String) The URL to clone the repository.
- `created_at` (String) The datetime at which the repository was created.
- `default_allow_maintainer_edit` (Boolean) Whether maintainers have edit permissions by default or not.
- `default_branch` (String) The name of the default branch.
- `default_delete_branch_after_merge` (Boolean) Whether pull request branches are deleted by default after a merge or not.
- `default_merge_style` (String) Name of the default merge style.
- `default_update_style` (String) Name of the default update style.
- `description` (String) A description string.
- `empty` (Boolean) Whether the repository is empty or not.
- `external_tracker` (Attributes) (see [below for nested schema](#nestedatt--elements--external_tracker))
- `external_wiki` (Attributes) (see [below for nested schema](#nestedatt--elements--external_wiki))
- `fork` (Boolean) Whether the repository is a fork or not.
- `forks_count` (Number) The number of times the repository has been forked.
- `full_name` (String) The full name of the repository.
- `globally_editable_wiki` (Boolean) Whether anyone can edit the wiki or not.
- `has_actions` (Boolean) Whether the actions unit is enabled or not.
- `has_issues` (Boolean) Whether the issues unit is enabled or not.
- `has_packages` (Boolean) Whether the packages unit is enabled or not.
- `has_projects` (Boolean) Whether the projects unit is enabled or not.
- `has_pull_requests` (Boolean) Whether the pull requests unit is enabled or not.
- `has_releases` (Boolean) Whether the releases unit is enabled or not.
- `has_wiki` (Boolean) Whether the wiki unit is enabled or not.
- `html_url` (String) The HTTP URL of the repository.
- `id` (Number) The identifier of the repository.
- `ignore_whitespace_conflicts` (Boolean) Whether whitespaces are ignored when detecting pull request conflicts or not.
- `internal` (Boolean) Whether this is an internal repository or not.
- `internal_tracker` (Attributes) (see [below for nested schema](#nestedatt--elements--internal_tracker))
- `language` (String) The main programming language used in the repository.
- `languages_url` (String) The URL to the languages page.
- `link` (String) The link.
- `mirror` (Boolean) Whether the repository is a mirror or not.
- `mirror_interval` (String) The mirror time interval.
- `mirror_updated` (String) The datetime at which the mirror was last updated.
- `name` (String) The name of the repository.
- `object_format_name` (String) The name of the object format.
- `open_issues_count` (Number) The number of open issues.
- `open_pr_counter` (Number) The number of open pull requests.
- `original_url` (String) The original URL.
- `owner` (Attributes) (see [below for nested schema](#nestedatt--elements--owner))
- `permissions` (Attributes) (see [below for nested schema](#nestedatt--elements--permissions))
- `private` (Boolean) Whether the repository is private or not.
- `release_counter` (Number) The number of releases.
- `repo_transfer` (Attributes) (see [below for nested schema](#nestedatt--elements--repo_transfer))
- `size` (Number) The size of the repository in KiB.
- `ssh_url` (String) The SSH URL.
- `stars_count` (Number) The number of stars.
- `template` (Boolean) Whether the repository is a template or not.
- `topics` (List of String) The list of topics.
- `updated_at` (String) The datetime at which the repository was last updated.
- `url` (String) The API URL.
- `watchers_count` (Number) The number of watchers.
- `website` (String) The website URL.
- `wiki_branch` (String) The name of the default branch of the wiki.

<a id="nestedatt--elements--external_tracker"></a>
### Nested Schema for `elements.external_tracker`

Read-Only:

- `description` (String) A description string.
- `external_tracker_format` (String) External issue tracker URL Format. Use the placeholders {user}, {repo} and {index} for the username, repository name and issue index.
- `external_tracker_regexp_pattern` (String) Regular Expression Pattern. The first captured group will be used in place of {index}.
- `external_tracker_style` (String) External issue tracker Number Format.
- `external_tracker_url` (String) A URL.


<a id="nestedatt--elements--external_wiki"></a>
### Nested Schema for `elements.external_wiki`

Read-Only:

- `description` (String) A description string.
- `external_wiki_url` (String) A URL.


<a id="nestedatt--elements--internal_tracker"></a>
### Nested Schema for `elements.internal_tracker`

Read-Only:

- `allow_only_contributors_to_track_time` (Boolean) Whether only contributors are allowed to track time on issues or not.
- `enable_issue_dependencies` (Boolean) Whether issue dependencies are enabled or not.
- `enable_time_tracker` (Boolean) Whether time tracking is enabled or not.


<a id="nestedatt--elements--owner"></a>
### Nested Schema for `elements.owner`

Read-Only:

- `active` (Boolean) Whether the user is active or not.
- `avatar_url` (String) The user's avatar URL.
- `created` (String) The user's creation date and time.
- `description` (String) A description string.
- `email` (String) The user's email address.
- `followers_count` (Number) The number of followers.
- `following_count` (Number) The number of followings.
- `full_name` (String) The user's full name.
- `html_url` (String) The URL to this user's Forgejo profile page.
- `id` (Number) The identifier of the user.
- `is_admin` (Boolean) Whether the user is an admin or not.
- `language` (String) The user's chosen language.
- `last_login` (String) The user's last login date and time.
- `location` (String) The user's advertised location.
- `login` (String) The login of the user.
- `login_name` (String) The user's authentication sign-in name.
- `prohibit_login` (Boolean) Whether the user is allowed to log in or not.
- `pronouns` (String) The user's advertised pronouns.
- `restricted` (Boolean) Whether the user is restricted or not.
- `source_id` (Number) The identifier of the users authentication source.
- `starred_repos_count` (Number) The number of repositoties starred by the user.
- `visibility` (String) The user's visibility option: limited, private, public.
- `website` (String) The user's advertised website.


<a id="nestedatt--elements--permissions"></a>
### Nested Schema for `elements.permissions`

Read-Only:

- `admin` (Boolean) Admin permission.
- `pull` (Boolean) Pull permission.
- `push` (Boolean) Push permission.


<a id="nestedatt--elements--repo_transfer"></a>
### Nested Schema for `elements.repo_transfer`

Read-Only:

- `description` (String) A description string.
- `doer` (Attributes) (see [below for nested schema](#nestedatt--elements--repo_transfer--doer))
- `recipient` (Attributes) (see [below for nested schema](#nestedatt--elements--repo_transfer--recipient))
- `teams` (Attributes List) The list of teams for an organization. (see [below for nested schema](#nestedatt--elements--repo_transfer--teams))

<a id="nestedatt--elements--repo_transfer--doer"></a>
### Nested Schema for `elements.repo_transfer.doer`

Read-Only:

- `active` (Boolean) Whether the user is active or not.
- `avatar_url` (String) The user's avatar URL.
- `created` (String) The user's creation date and time.
- `description` (String) A description string.
- `email` (String) The user's email address.
- `followers_count` (Number) The number of followers.
- `following_count` (Number) The number of followings.
- `full_name` (String) The user's full name.
- `html_url` (String) The URL to this user's Forgejo profile page.
- `id` (Number) The identifier of the user.
- `is_admin` (Boolean) Whether the user is an admin or not.
- `language` (String) The user's chosen language.
- `last_login` (String) The user's last login date and time.
- `location` (String) The user's advertised location.
- `login` (String) The login of the user.
- `login_name` (String) The user's authentication sign-in name.
- `prohibit_login` (Boolean) Whether the user is allowed to log in or not.
- `pronouns` (String) The user's advertised pronouns.
- `restricted` (Boolean) Whether the user is restricted or not.
- `source_id` (Number) The identifier of the users authentication source.
- `starred_repos_count` (Number) The number of repositoties starred by the user.
- `visibility` (String) The user's visibility option: limited, private, public.
- `website` (String) The user's advertised website.


<a id="nestedatt--elements--repo_transfer--recipient"></a>
### Nested Schema for `elements.repo_transfer.recipient`

Read-Only:

- `active` (Boolean) Whether the user is active or not.
- `avatar_url` (String) The user's avatar URL.
- `created` (String) The user's creation date and time.
- `description` (String) A description string.
- `email` (String) The user's email address.
- `followers_count` (Number) The number of followers.
- `following_count` (Number) The number of followings.
- `full_name` (String) The user's full name.
- `html_url` (String) The URL to this user's Forgejo profile page.
- `id` (Number) The identifier of the user.
- `is_admin` (Boolean) Whether the user is an admin or not.
- `language` (String) The user's chosen language.
- `last_login` (String) The user's last login date and time.
- `location` (String) The user's advertised location.
- `login` (String) The login of the user.
- `login_name` (String) The user's authentication sign-in name.
- `prohibit_login` (Boolean) Whether the user is allowed to log in or not.
- `pronouns` (String) The user's advertised pronouns.
- `restricted` (Boolean) Whether the user is restricted or not.
- `source_id` (Number) The identifier of the users authentication source.
- `starred_repos_count` (Number) The number of repositoties starred by the user.
- `visibility` (String) The user's visibility option: limited, private, public.
- `website` (String) The user's advertised website.


<a id="nestedatt--elements--repo_transfer--teams"></a>
### Nested Schema for `elements.repo_transfer.teams`

Read-Only:

- `can_create_org_repo` (Boolean) Whether members of this team can create repositories that will belong to the organization.
- `description` (String) A description string.
- `id` (Number) The identifier of the team.
- `includes_all_repositories` (Boolean) Whether members of this team can access all the repositories that belong to the organization.
- `name` (String) The team's name are a part of.
- `permission` (String) The members' permission level on the organization.
- `units` (List of String) The list of units permissions.
- `units_map` (Map of String) The map of units permissions and their level.
